&nbsp;
<p align="center">
  <a href="https://ghost.org">
    <img src="https://user-images.githubusercontent.com/120485/43974508-b64b2fe8-9cd2-11e8-8e58-707254b8817c.png" width="200px" alt="Ghost" />
  </a>
</p>
<h3 align="center">Fiercely independent, professional publishing</h3>
<p align="center">A fully open source, powerful platform for building and running modern publications,<br>
    we power serious blogs, magazines and journalism from DuckDuckGo to OpenAI & Sky News.</p>
<hr />
<p align="center">
    <a href="https://ghost.org">Ghost.org</a> |
    <a href="https://ghost.org/features">Features</a> |
    <a href="https://ghost.org/customers">Showcase</a> |
    <a href="https://forum.ghost.org">Forum</a> |
    <a href="https://docs.ghost.org/">Documentation</a> |
    <a href="https://github.com/TryGhost/Ghost/blob/master/.github/CONTRIBUTING.md">Contributing</a> |
    <a href="https://opencollective.com/ghost">Donate</a> |
    <a href="https://twitter.com/tryghost">Twitter</a>
    <br /><br />
    <a href="https://ghost.org">
        <img src="https://img.shields.io/badge/downloads-1.4M-brightgreen.svg" alt="Downloads" />
    </a>
    <a href="https://github.com/TryGhost/Ghost/releases/">
        <img src="https://img.shields.io/github/release/TryGhost/Ghost.svg" alt="Latest release" />
    </a>
    <a href="https://travis-ci.org/TryGhost/Ghost">
        <img src="https://travis-ci.org/TryGhost/Ghost.svg?branch=master" alt="Build status" />
    </a>
    <a href="https://github.com/TryGhost/Ghost/contributors/">
        <img src="https://img.shields.io/github/contributors/TryGhost/Ghost.svg" alt="Contributors" />
    </a>
    <a href="https://opencollective.com/ghost">
        <img src="https://opencollective.com/ghost/backers/badge.svg" alt="OpenCollective" />
    </a>
</p>

&nbsp;

<br>

<p align="center">
    <img src="https://user-images.githubusercontent.com/120485/43994697-62e2bdc2-9d99-11e8-94fc-021ab9756f33.gif" width="800" />
</p>

<br>

&nbsp;

---

&nbsp;

<a href="https://ghost.org/pricing"><img src="https://user-images.githubusercontent.com/120485/43995179-556d7620-9da1-11e8-8410-4b2ba48ea8d0.png" alt="Ghost(Pro)" width="165px" /></a>

The easiest way to deploy Ghost is with our official **[Ghost(Pro)](https://ghost.org/pricing/)** managed service. You can have a fresh instance up and running in a couple of clicks with a worldwide CDN, backups, security and maintenance all done for you.

Not only will it save you hours of maintenance per month, but all revenue goes to the Ghost Foundation, which funds the maintenance and further development of Ghost itself. So you’ll be supporting open source software *and* getting a great service! Alternatively if you'd like to support us, we're very grateful to all our backers on [Open Collective](https://opencollective.com/ghost) :heart:

&nbsp;

# Quickstart Install

If you want to run your own instance of Ghost, in most cases the best way is to use our **CLI tool**

```
$ npm install ghost-cli -g
```

&nbsp;

Then, if installing locally add the `local` flag to get up and running in under a minute - [Local install docs](https://docs.ghost.org/install/local)

```
$ ghost install local
```

&nbsp;

or on a server run the full install, including automatic SSL setup using LetsEncrypt - [Production install docs](https://docs.ghost.org/install/ubuntu/)

```
$ ghost install
```

&nbsp;

Check out our [official documentation](https://docs.ghost.org) for more information about our [recommended hosting stack](https://docs.ghost.org/concepts/hosting) & properly [upgrading Ghost](https://docs.ghost.org/docs/upgrade), plus everything you need to develop your own Ghost [themes](https://docs.ghost.org/api/handlebars-themes) or work with [our API](https://api.ghost.org/docs).

&nbsp;


# Getting Help

You can find answers to a huge variety of questions, along with a large community of helpful developers over on the [Ghost forum](https://forum.ghost.org/) - replies are generally very quick. **Ghost(Pro)** customers also have access to 24/7 email support.

To stay up to date with all the latest news and product updates, make sure you [subscribe to our blog](https://blog.ghost.org) — or your can always follow us [on Twitter](https://twitter.com/tryghost/), if you prefer your updates bite-sized and facetious. :saxophone::turtle:

&nbsp;


# Contributors & Advanced Developers

For anyone wishing to contribute to Ghost or to hack/customise core files we recommend following our full development setup guides: [General Contributor Guide](https://docs.ghost.org/concepts/contributing) | [Developer Setup Instructions](https://docs.ghost.org/install/source) | [Admin Client development guide](https://docs.ghost.org/install/source/#ghost-admin)

&nbsp;


# Copyright & License

Copyright (c) 2013-2019 Ghost Foundation - Released under the [MIT license](LICENSE). Ghost and the Ghost Logo are trademarks of Ghost Foundation Ltd. Please see our [trademark policy](https://ghost.org/trademark/) for info on acceptable usage.
